unit srpt32;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, quickrpt, Qrctrls, Db, DBTables, qrprntr;

type
  TfrmSampleReport = class(TForm)
    QuickRep1: TQuickRep;
    Table1: TTable;
    Table2: TTable;
    DataSource1: TDataSource;
    DetailBand1: TQRBand;
    QRDBText1: TQRDBText;
    QRSubDetail1: TQRSubDetail;
    QRDBText2: TQRDBText;
    QRBand1: TQRBand;
    QRExpr1: TQRExpr;
    QRDBText3: TQRDBText;
    QRLabel1: TQRLabel;
    procedure FormCreate(Sender: TObject);
    procedure QuickRep1Preview(Sender: TObject);
    procedure NetScapePreview(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    WhichPreviewToUse: integer;
    bCanPrint: boolean;
  end;

var
  frmSampleReport: TfrmSampleReport;

implementation

uses prev1_32, prev2_32;

{$R *.DFM}

procedure TfrmSampleReport.FormCreate(Sender: TObject);
begin
  { default to standard preview}
  WhichPreviewToUse := 0;
  bCanPrint := True;
end;

procedure TfrmSampleReport.QuickRep1Preview(Sender: TObject);
begin
  Application.CreateForm(TfrmPreview, frmPreview);
  with frmPreview do
  begin
    Caption := 'Generating report, please wait...';

    {
      I created a pointer in the preview form named "pQuickReport" that I use
      to have the preview be able to access the QuickReport object
    }
    pQuickReport := QuickRep1;

    frmPreview.QRPreview.QRPrinter := TQRPrinter(Sender);

    { We added the functionality to disable features at runtime }
    bCanPrint := Self.bCanPrint;
    Show;
  end
end;

procedure TfrmSampleReport.NetScapePreview(Sender: TObject);
begin
  Application.CreateForm(TfrmNetScapePreview, frmNetScapePreview);
  with frmNetScapePreview do
  begin
    Caption := 'Generating report, please wait...';

    {
      I created a pointer in the preview form named "pQuickReport" that I use
      to have the preview be able to access the QuickReport object
    }
    pQuickReport := QuickRep1;

    { We added the functionality to disable features at runtime }
    bCanPrint := Self.bCanPrint;
    
    frmNetScapePreview.QRPreview1.QRPrinter := TQRPrinter(Sender);
    Show;
  end
end;

end.
